#include <bits/stdc++.h>

using namespace std;
long long a[8];
long long n=0;
bool IsGood(long long b)
{
    while (b>0)
    {
        long long m=b%10;
        for (long long i=0; i<n; i++) if (m==a[i]) return false;
        b=b/10;
    }
    return true;
}
int main()
{
    string s;
    getline(cin, s);
    for (long long i=0; i<s.length(); i=i+2)
    {
        a[n]=s[i]-'0';
        n++;
    }
    long long k;
    cin >> k;
    sort(a, a+n);
    long long m=k,l=0;
    while (l<k)
    {
        if (IsGood(l)==false) m--;
        l++;
    }
    cout << m;
    return 0;
}
